divert(-1)
dnl changecom(`;')

* utilitaires M4
define(`ALIAS', `define($1`_IP4', $2`'_IP4)')
define(`MAKE_GETTER', `define(`$1', $`'1`_'$`'0)')
MAKE_GETTER(`IP4')
MAKE_GETTER(`NAME')
define(`FQDN', `NAME($1).ZONE_DOMAIN')

* hébergeur : gresille.org
define(`GRESILLE_IP4', `IP4(LOCAL)')

* hébergeur : lautre.net
define(`LAUTRENET_IP4', `80.67.160.70')
define(`LAUTRENET_MX_NAME', `mx.lautre.net.')
define(`LAUTRENET_MX2_NAME', `mx2.lautre.net.')

divert(0)dnl
$TTL 1d ; TTL (Time To Live) par défaut pour les enregistrements

; ENREGISTREMENT « SOA » (Start Of Authority).
@ SOA ns hostmaster (
	ZONE_SERIAL ; Serial number.
	1d ; Refresh.
	15m ; Retry.
	2592000 ; Expire.
	1d ; TTL (Time To Live) minimum.
 )

; ENREGISTREMENTS « A » (DNS -> adresse IPv4)
@                    A IP4(GRESILLE)
dovecot              A IP4(GRESILLE)
imap                 A IP4(GRESILLE)
mx                   A IP4(GRESILLE)
ns                   A IP4(GRESILLE)
pop                  A IP4(GRESILLE)
smtp                 A IP4(GRESILLE)
sympa                A IP4(GRESILLE)
www                  A IP4(GRESILLE)


; ENREGISTREMENTS « MX » (Mail eXchange)
; NOTE : le reverse et le forward associés au nom donné à un enregistrement MX
; devraient correspondre. Certains antispams le vérifient, et certains (rares) admins
; bloquent même au niveau de la session SMTP si il ne correspond pas.
@ MX 5 mx

; ENREGISTREMENTS « NS » (Name Server)
@ NS ns
@ NS ns6.gandi.net.

; ENREGISTREMENT "SPF" (Sender Policy Framework)
@ 3600 IN TXT "v=spf1 mx ip4:IP4(GRESILLE) ~all"

; key#1 4096 bits, i=wiklou, d=wiklou.org, /var/lib/amavis/dkim/wiklou.org.pem
wiklou._domainkey.wiklou.org.   3600 TXT (
  "v=DKIM1; p="
  "MIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEA5EP2SskBS+RiZ3prB2zE"
  "DV0QdHGQswkhkTqNTjsNusjJfEBGq3dmDt4ATsB/JegADKYQQl9i4amXH0/MvXS9"
  "+Q6FLd4vJv0MADZQZYUXDPZA2gD/cUn2UwG2qrBiTzrfZnyOJk1maQWhvfwhDJGO"
  "noKuRhdDwS+svHg6qJRMx1ljOkW6om6dZeLUInCnL/P2o+yG2V4KlBOiHzzIdHwo"
  "736bOoo7GV/SHmvvDg/xQ/uh1rOh8EY8oURnVmxpfBDS6o7JlQavITmPn54e5Vo3"
  "CR0kMgFP/yIPaFJRjvif1Fa19+xND8jPVnrpbaI0qb4WrPHMAZBpOMRrE0y930Ma"
  "rgJHE6KTlfTnET+qoJtcO9IQcAlOL4Vli4HZQlAQEpuGulX87/OzOUqf+SLtyodH"
  "TOCtu9Ae0QzZURuV83ktBSyCrB5cEXHzUXvZzS28EJvxTpUY8QP8cK0gLeCg9HAX"
  "gDFtOSmjRiYAK5TWO7l9KCCdmYyAvkg1Q+4ErWFWDaJlSdoMcFW8U430jlhsbLEo"
  "owVJxHlFASL3CUxvI6e8pHM2bdDlwUJiCJamKdenldur+g6YmMi3gomApGh4XqlM"
  "L/vUcDmhb4C5uUtyPwxjXv6CBVtXmw1IDZlIqxztf6rWWZM/L5QFomyZqJ98/X4E"
  "fdsD8SsAGBc/ZSMA6oqVVskCAwEAAQ==")
